;Disk Space Viewer v1.0 - 18/08/05
;2005 All Right Reserved
;Written by |Wolf|
;http://wolfprojects.altervista.org/

on *:load: dialog -m dsv dsv

alias dsv { dialog -m dsv dsv }

dialog dsv {
  title "Disk Space Viewer v1.0"
  size -1 -1 228 124
  icon 1, 2 7 22 87, dsv\90.bmp
  box "", 2, 29 0 197 96
  text "", 3, 35 15 188 15
  text "", 4, 35 30 188 15
  text "", 5, 35 45 188 15
  text "", 6, 35 60 188 15
  text "", 7, 35 75 92 15
  text "", 8, 127 75 95 15
  button "A:", 9, 2 99 23 23
  button "B:", 10, 27 99 23 23
  button "C:", 11, 52 99 23 23
  button "D:", 12, 77 99 23 23
  button "E:", 13, 102 99 23 23
  button "F:", 14, 127 99 23 23
  button "G:", 15, 152 99 23 23
  button "H:", 16, 177 99 23 23
  button "I:", 17, 202 99 23 23
}
on *:dialog:dsv:init:0: dsv.dlg C
on *:dialog:dsv:sclick:9: dsv.dlg A
on *:dialog:dsv:sclick:10: dsv.dlg B
on *:dialog:dsv:sclick:11: dsv.dlg C
on *:dialog:dsv:sclick:12: dsv.dlg D
on *:dialog:dsv:sclick:13: dsv.dlg E
on *:dialog:dsv:sclick:14: dsv.dlg F
on *:dialog:dsv:sclick:15: dsv.dlg G
on *:dialog:dsv:sclick:16: dsv.dlg H
on *:dialog:dsv:sclick:17: dsv.dlg I

alias dsv.dlg {
  if ($disk($1)) {
    if ($disk($1).size < 1073741824) {
      var %dsv.b1 MB
      var %dsv.b2 KB
      var %dsv.d1 1048576
      var %dsv.d2 1024
    }
    else {
      var %dsv.b1 GB
      var %dsv.b2 MB
      var %dsv.d1 1073741824
      var %dsv.d2 1048576
    }
    did -ra dsv 2 $1 $+ :
    did -ra dsv 3 Name: $disk($1).label
    did -ra dsv 4 Free Space: $round($calc($disk($1).free / %dsv.d1),3) $+ %dsv.b1 = $round($calc($disk($1).free / %dsv.d2),0) $+ %dsv.b2
    did -ra dsv 5 Used Space: $round($calc(($disk($1).size - $disk($1).free) / %dsv.d1),3) $+ %dsv.b1 =  $round($calc(($disk($1).size - $disk($1).free) / %dsv.d2),0) $+ %dsv.b2
    did -ra dsv 6 Total Space: $round($calc($disk($1).size / %dsv.d1),3) $+ %dsv.b1 = $round($calc($disk($1).size / %dsv.d2),0) $+ %dsv.b2
    did -ra dsv 7 Free Space: $round($calc($disk($1).free * 100 / $disk($1).size),0) $+ %
    var %dsv.usd $round($calc(($disk($1).size - $disk($1).free) * 100 / $disk($1).size),0)
    did -ra dsv 8 Used Space: %dsv.usd $+ $chr(37)
    var %dsv.k 2.5
    while (%dsv.k < %dsv.usd) inc %dsv.k 5
    did -g dsv 1 dsv\ $+ $calc(%dsv.k - 2.5) $+ .bmp
  }
  else {
    did -ra dsv 2 $1 $+ :
    did -ra dsv 3 Name: -
    did -ra dsv 4 Free Space: -
    did -ra dsv 5 Used Space: -
    did -ra dsv 6 Total Space: -
    did -ra dsv 7 Free Space: -
    did -ra dsv 8 Used Space: -
    did -g dsv 1 dsv\np.bmp
  }
}
